



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>oracle pl/sql 分页</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">oracle pl/sql 分页</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-31 08:44:51 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<p><strong>一、无返回值的存储过程</strong></p>
<p>古人云：欲速则不达，为了让大家伙比较容易接受分页过程编写，我还是从简单到复杂，循序渐进的给大家讲解。首先是掌握最简单的存储过程，无返回值的存储过程。 案例：现有一张表book，表结构如下：书号、书名、出版社。</p>
<div>
<pre class="prettyprint linenums">CREATE TABLE book(<br />   ID NUMBER(4),<br />   book_name VARCHAR2(30),<br />   publishing VARCHAR2(30)<br />);</pre>
</div>
<p>请写一个过程，可以向book表添加书，要求通过java程序调用该过程。</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">--注意：in-&gt;表示这是一个输入参数，默认为in --out-&gt;表示一个输出参数<br />CREATE OR REPLACE PROCEDURE ADD_BOOK(ID         IN NUMBER,<br />                                     NAME       IN VARCHAR2,<br />                                     PUBLISHING IN VARCHAR2) IS<br />BEGIN<br />  INSERT INTO BOOK VALUES (ID, NAME, PUBLISHING);<br />  COMMIT;<br />END;<br />/</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p>java程序调用该存储过程的代码</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">package junit.test;

import java.sql.CallableStatement;<br />import java.sql.Connection;<br />import java.sql.DriverManager;

/**<br /> * 调用一个无返回值的存储过程<br /> * <br /> * @author jiqinlin<br /> *<br /> */<br />public class ProcedureTest {

    public static void main(String[] args) {

        try {<br />            // 1.加载驱动<br />            Class.forName("oracle.jdbc.driver.OracleDriver");<br />            // 2.得到连接<br />            Connection ct = DriverManager.getConnection(<br />                    "jdbc:oracle:thin:@127.0.0.1:1521:orcl", "scott", "oracle");<br />            // 3.创建CallableStatement<br />            CallableStatement cs = ct.prepareCall("call ADD_BOOK(?,?,?)");<br />            //给?赋值<br />            cs.setInt(1, 1);<br />            cs.setString(2, "java");<br />            cs.setString(3, "java出版社");<br />            // 4.执行<br />            cs.execute();<br />            //5、关闭<br />            cs.close();<br />            ct.close();<br />        } catch (Exception e) {<br />            e.printStackTrace();<br />        }<br />    }<br />}</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p><strong>二、有返回值的存储过程(非列表)</strong><br />案例：编写一个存储过程，可以输入雇员的编号，返回该雇员的姓名。</p>
<div>
<pre class="prettyprint linenums">--输入和输出的存储过程<br />CREATE OR REPLACE PROCEDURE SP_PROC(SPNO IN NUMBER, SPNAME OUT VARCHAR2) IS<br />BEGIN<br />  SELECT ENAME INTO SPNAME FROM EMP WHERE EMPNO = SPNO;<br />END;<br />/</pre>
</div>
<p>java程序调用该存储过程的代码</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">package junit.test;

import java.sql.CallableStatement;<br />import java.sql.Connection;<br />import java.sql.DriverManager;

/**<br /> * 调用一个无返回值的存储过程<br /> * <br /> * @author jiqinlin<br /> *<br /> */<br />public class ProcedureTest {

    public static void main(String[] args) {

        try {<br />            // 1.加载驱动<br />            Class.forName("oracle.jdbc.driver.OracleDriver");<br />            // 2.得到连接<br />            Connection ct = DriverManager.getConnection(<br />                    "jdbc:oracle:thin:@127.0.0.1:1521:orcl", "scott", "oracle");<br />            // 3.创建CallableStatement<br />            CallableStatement cs = ct.prepareCall("{call sp_proc(?,?)}");<br />            //给第一个?赋值<br />            cs.setInt(1,7788);<br />            //给第二个?赋值<br />            cs.registerOutParameter(2,oracle.jdbc.OracleTypes.VARCHAR);<br />            //4、执行<br />            cs.execute();<br />            //取出返回值,要注意？的顺序<br />            String name=cs.getString(2);<br />            System.out.println("编号7788的名字："+name);<br />            //5、关闭<br />            cs.close();<br />            ct.close();<br />        } catch (Exception e) {<br />            e.printStackTrace();<br />        }<br />    }<br />}</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p>案例扩张：编写一个过程，可以输入雇员的编号，返回该雇员的姓名、工资和岗位。</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">--输入和输出的存储过程<br />CREATE OR REPLACE PROCEDURE SP_PROC(SPNO   IN NUMBER,<br />                                    SPNAME OUT VARCHAR2,<br />                                    SPSAL  OUT NUMBER,<br />                                    SPJOB  OUT VARCHAR2) IS<br />BEGIN<br />  SELECT ENAME, SAL, JOB INTO SPNAME, SPSAL, SPJOB FROM EMP WHERE EMPNO = SPNO;<br />END;<br />/</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p>java程序调用该存储过程的代码</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">package junit.test;

import java.sql.CallableStatement;<br />import java.sql.Connection;<br />import java.sql.DriverManager;

/**<br /> * 调用一个无返回值的存储过程<br /> * <br /> * @author jiqinlin<br /> *<br /> */<br />public class ProcedureTest {

    public static void main(String[] args) {

        try {<br />            // 1.加载驱动<br />            Class.forName("oracle.jdbc.driver.OracleDriver");<br />            // 2.得到连接<br />            Connection ct = DriverManager.getConnection(<br />                    "jdbc:oracle:thin:@127.0.0.1:1521:orcl", "scott", "oracle");<br />            // 3.创建CallableStatement<br />            CallableStatement cs = ct.prepareCall("{call sp_proc(?,?,?,?)}");<br />            //给第一个?赋值<br />            cs.setInt(1,7788);<br />            //给第二个?赋值<br />            cs.registerOutParameter(2,oracle.jdbc.OracleTypes.VARCHAR);<br />            //给第三个？赋值<br />            cs.registerOutParameter(3,oracle.jdbc.OracleTypes.DOUBLE);<br />            //给第四个？赋值<br />            cs.registerOutParameter(4,oracle.jdbc.OracleTypes.VARCHAR);<br />            //4、执行<br />            cs.execute();<br />            //取出返回值,要注意？的顺序<br />            String name=cs.getString(2);<br />            double sal=cs.getDouble(3);<br />            String job=cs.getString(4);<br />            System.out.println("编号7788的名字："+name+"，职位："+job+"，薪水："+sal+"");<br />            //5、关闭<br />            cs.close();<br />            ct.close();<br />        } catch (Exception e) {<br />            e.printStackTrace();<br />        }<br />    }<br />}</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p><strong>三、有返回值的存储过程(列表[结果集])</strong><br />案例：编写一个存储过程，输入部门号，返回该部门所有雇员信息。<br />该题分析如下：由于oracle存储过程没有返回值，它的所有返回值都是通过out参数来替代的，列表同样也不例外，但由于是集合，所以不能用一般的参数，必须要用pagkage了。所以要分两部分：<br />1)、建立一个包，在该包中我们定义类型test_cursor，它是个游标。</p>
<div>
<pre class="prettyprint linenums">CREATE OR REPLACE PACKAGE TESTPACKAGE AS<br />  TYPE TEST_CURSOR IS REF CURSOR;<br />END TESTPACKAGE;<br />/</pre>
</div>
<p>2)、建立存储过程。</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">CREATE OR REPLACE PROCEDURE SP_PROC(SPNO     IN NUMBER,<br />                                    P_CURSOR OUT TESTPACKAGE.TEST_CURSOR) IS<br />BEGIN<br />  OPEN P_CURSOR FOR<br />    SELECT * FROM EMP WHERE DEPTNO = SPNO;<br />END SP_PROC;<br />/</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p>3)、如何在java 程序中调用该过程</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">package junit.test;

import java.sql.CallableStatement;<br />import java.sql.Connection;<br />import java.sql.DriverManager;<br />import java.sql.ResultSet;

/**<br /> * 调用一个无返回值的存储过程<br /> * <br /> * @author jiqinlin<br /> *<br /> */<br />public class ProcedureTest {

    public static void main(String[] args) {

        try {<br />            // 1.加载驱动<br />            Class.forName("oracle.jdbc.driver.OracleDriver");<br />            // 2.得到连接<br />            Connection ct = DriverManager.getConnection(<br />                    "jdbc:oracle:thin:@127.0.0.1:1521:orcl", "scott", "oracle");<br />            // 3.创建CallableStatement<br />            CallableStatement cs = ct.prepareCall("{call sp_proc(?,?)}");<br />            //给第一个?赋值<br />            cs.setInt(1,10);<br />            //给第二个?赋值<br />            cs.registerOutParameter(2,oracle.jdbc.OracleTypes.CURSOR);<br />            //4、执行<br />            cs.execute();<br />            //得到结果集<br />            ResultSet rs = (ResultSet) cs.getObject(2);<br />            while (rs.next()) {<br />                System.out.println(rs.getInt(1) + " " + rs.getString(2));<br />            }<br />            //5、关闭<br />            rs.close();<br />            cs.close();<br />            ct.close();<br />        } catch (Exception e) {<br />            e.printStackTrace();<br />        }<br />    }<br />}</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p><strong>四、编写分页过程</strong><br />有了上面的基础，相信大家可以完成分页存储过程了。<br />要求，请大家编写一个存储过程，要求可以输入表名、每页显示记录数、当前页。返回总记录数，总页数，和返回的结果集。</p>
<div>
<pre class="prettyprint linenums">--ROWNUM用法<br />SELECT o.*, ROWNUM RN FROM (SELECT * FROM EMP) o WHERE ROWNUM &lt;= 10;<br />----oracle分页sql语句；在分页时，大家可以把下面的sql语句当做一个模板使用<br />SELECT *<br />FROM (SELECT o.*, ROWNUM RN FROM (SELECT * FROM EMP) o WHERE ROWNUM &lt;= 10)<br />WHERE RN &gt;= 6;</pre>
</div>
<p>1)、开发一个包<br />建立一个包，在该包中定义类型为test_cursor的游标。</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">--建立一个包<br />CREATE OR REPLACE PACKAGE TESTPACKAGE AS<br />  TYPE TEST_CURSOR IS REF CURSOR;<br />END TESTPACKAGE;<br />/

--开始编写分页的过程<br />CREATE OR REPLACE PROCEDURE FENYE(TABLENAME IN VARCHAR2, <br />                                  PAGESIZE IN NUMBER, --每页显示记录数<br />                                  PAGENOW IN NUMBER, --页数<br />                                  MYROWS OUT NUMBER, --总记录数<br />                                  MYPAGECOUNT OUT NUMBER, --总页数<br />                                  P_CURSOR OUT TESTPACKAGE.TEST_CURSOR) IS --返回的记录集

--定义部分<br />--定义sql语句字符串<br />V_SQL VARCHAR2(1000);<br />--定义两个整数<br />V_BEGIN NUMBER := (PAGENOW - 1) * PAGESIZE + 1; <br />V_END NUMBER := PAGENOW * PAGESIZE;<br />BEGIN<br />--执行部分<br />V_SQL := 'select * from (select t1.*, rownum rn from (select * from ' || TABLENAME || ') t1 where rownum&lt;=' || V_END || ') where rn&gt;=' || V_BEGIN;<br />--把游标和sql关联<br />OPEN P_CURSOR FOR V_SQL;<br />--计算myrows和myPageCount<br />--组织一个sql语句<br />V_SQL := 'select count(*) from ' || TABLENAME;<br />--执行sql,并把返回的值，赋给myrows；<br />EXECUTE ImMEDIATE V_SQL INTO MYROWS; --它解析并马上执行动态的SQL语句或非运行时创建的PL/SQL块.动态创建和执行SQL语句性能超前，<br />                                     --EXECUTE IMMEDIATE的目标在于减小企业费用并获得较高的性能，较之以前它相当容易编码.<br />                                     --尽管DBMS_SQL仍然可用，但是推荐使用EXECUTE IMMEDIATE,因为它获的收益在包之上。 <br />--计算myPageCount<br />--if myrows%Pagesize=0 then 这样写是错的<br />IF MOD(MYROWS, PAGESIZE) = 0 THEN <br />  MYPAGECOUNT := MYROWS/PAGESIZE; <br />ELSE <br />  MYPAGECOUNT := MYROWS/PAGESIZE + 1;<br />END IF;<br />--关闭游标<br />--CLOSE P_CURSOR; --不要关闭，否则java调用该存储过程会报错<br />END;<br />/</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p>java调用分页代码</p>
<div>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
<pre class="prettyprint linenums">package junit.test;

import java.sql.CallableStatement;<br />import java.sql.Connection;<br />import java.sql.DriverManager;<br />import java.sql.ResultSet;

/**<br /> * 调用一个无返回值的存储过程<br /> * <br /> * @author jiqinlin<br /> * <br /> */<br />public class ProcedureTest {

    public static void main(String[] args) {

        try {<br />            // 1.加载驱动<br />            Class.forName("oracle.jdbc.driver.OracleDriver");<br />            // 2.得到连接<br />            Connection ct = DriverManager.getConnection(<br />                    "jdbc:oracle:thin:@127.0.0.1:1521:orcl", "scott", "oracle");<br />            // 3.创建CallableStatement<br />            CallableStatement cs = ct.prepareCall("{call fenye(?,?,?,?,?,?)}");<br />            cs.setString(1, "emp"); //表名<br />            cs.setInt(2, 5); //每页显示记录数<br />            cs.setInt(3, 1);//页数<br />            // 注册总记录数<br />            cs.registerOutParameter(4, oracle.jdbc.OracleTypes.INTEGER); //总记录数<br />            // 注册总页数<br />            cs.registerOutParameter(5, oracle.jdbc.OracleTypes.INTEGER); //总页数<br />            // 注册返回的结果集<br />            cs.registerOutParameter(6, oracle.jdbc.OracleTypes.CURSOR); //返回的记录集<br />            // 4、执行<br />            cs.execute();<br />            // 得到结果集<br />            // 取出总记录数 /这里要注意，getInt(4)中4，是由该参数的位置决定的<br />            int rowNum = cs.getInt(4);

            int pageCount = cs.getInt(5);<br />            ResultSet rs = (ResultSet) cs.getObject(6);<br />            // 显示一下，看看对不对<br />            System.out.println("rowNum=" + rowNum);<br />            System.out.println("总页数=" + pageCount);

            while (rs.next()) {<br />                System.out.println("编号：" + rs.getInt(1) + <br />                        " 名字：" + rs.getString(2) + <br />                        " 工资：" + rs.getFloat(6));<br />            }<br />            // 5、关闭<br />            //rs.close();<br />            cs.close();<br />            ct.close();<br />        } catch (Exception e) {<br />            e.printStackTrace();<br />        }<br />    }<br />}</pre>
<div><img referrerpolicy="no-referrer"src="https://common.cnblogs.com/images/copycode.gif" /></div>
</div>
<p>参见：http://www.cnblogs.com/linjiqin/archive/2012/02/28/2372096.html</p>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96myn38.html">C&num;高级编程笔记 Day 6， 2016年9月 14日 （泛型）</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p6wndq.html">Android Studio 生成Jar包时遇到的gradlew下载问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqldr1e9.html">django 后台管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdrom38.html">PDF&period;NET框架操作&mdash;&mdash;工具应用（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okmozl9.html">自己动手写谷歌API翻译接口</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pmrrn8.html">seo步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj0rgy8.html">用C&plus;&plus;11实现C&plus;&plus;17的apply（动态数组用作函数参数）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eywwmx9.html">nodejs之querystring模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pkerj8.html">python操作excel常用的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv16woyq.html">坚定关于考研或者工作的决定：work</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zpj6j9.html">war 包tomcat部署和maven的tomcat插件部署的不同</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5g7ddq.html">netcore 下加密遇到的问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjgkg49.html">2&period;jQuery介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rk3pj9.html">Lerning Entity Framework 6 ------ Joins and Left outer Joins</a>
		</li>
						<li><a href="https://www.batexi.com/a/953xz7z8.html">第10月第28天 touchesBegan hittest</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jm0o449.html">【LOJ】&num;2106&period; 「JLOI2015」有意义的字符串</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1voml4q.html">Hadoop集群datanode死掉或者secondarynamenode进程消失处理办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4m05pq.html">ping（团队作业）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpljel9.html">django基础入门</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2xdgvo9.html">20145312《Java程序设计》课程总结</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8ey343e9.html">Html5笔记之第七天</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd7w2k9.html">深入剖析C&plus;&plus;多态、VPTR指针、虚函数表</a>
			</li>
						<li><a href="https://www.batexi.com/a/950z3ym8.html">通过css控制超链接不显示下划线</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gez3pz8.html">C&num; 单例模式&lpar;Singleton Pattern&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxk6oe08.html">SSL证书&colon;Web加密使互联网更安全</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rg6yv78.html">copy和mutableCopy都是浅拷贝！！！------你被骗了很多年</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4z7n059.html">32位汇编第三讲&comma;RadAsm&comma;IDE的配置和使用&comma;以及汇编代码注入方式</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kylg29.html">Color&period;js增强你对颜色的控制</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnjggeg8.html">java可访问修饰符</a>
			</li>
						<li><a href="https://www.batexi.com/a/90m4kl38.html">201521123079《java程序设计》第6周学习总结</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
